Submit an applicant from the brand's own form into a campaign (idempotent per email and campaign)
POST
/api/public/v1/campaign_applicationsLiveAnswers from your brand's records now.
Operation id createCampaignApplication
Request
curl
curl -X POST "https://creator.growthdept.ai/api/public/v1/campaign_applications" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"campaign_id":1024,"client_ip_address":"string","client_user_agent":"string","created_at":"2026-11-01T15:04:05Z","email":"creator@example.com","enriched_at":"2026-11-01T15:04:05Z","event_id":"string","event_name":"Example name","event_source_url":"https://example.com/p/1","fbc":"string","fbclid":"string","fbp":"string","first_name":"Example name","follower_count":3,"id":1024,"last_name":"Example name","likes_count":3,"referrer":"string","tiktok_handle":"string","tiktok_verified":3,"utm_campaign":"string","utm_content":"string","utm_medium":"string","utm_source":"string","utm_term":"string","video_count":3}'Request body
| Field | Type | Notes |
|---|---|---|
| campaign_id | integer | required |
| client_ip_address | string | |
| client_user_agent | string | |
| created_at | string | |
| string | required | |
| enriched_at | string | |
| event_id | string | |
| event_name | string | |
| event_source_url | string | |
| fbc | string | |
| fbclid | string | |
| fbp | string | |
| first_name | string | |
| follower_count | integer | |
| id | integer | |
| last_name | string | |
| likes_count | integer | |
| referrer | string | |
| tiktok_handle | string | |
| tiktok_verified | integer | |
| utm_campaign | string | |
| utm_content | string | |
| utm_medium | string | |
| utm_source | string | |
| utm_term | string | |
| video_count | integer |
Example
{
"campaign_id": 1024,
"client_ip_address": "string",
"client_user_agent": "string",
"created_at": "2026-11-01T15:04:05Z",
"email": "creator@example.com",
"enriched_at": "2026-11-01T15:04:05Z",
"event_id": "string",
"event_name": "Example name",
"event_source_url": "https://example.com/p/1",
"fbc": "string",
"fbclid": "string",
"fbp": "string",
"first_name": "Example name",
"follower_count": 3,
"id": 1024,
"last_name": "Example name",
"likes_count": 3,
"referrer": "string",
"tiktok_handle": "string",
"tiktok_verified": 3,
"utm_campaign": "string",
"utm_content": "string",
"utm_medium": "string",
"utm_source": "string",
"utm_term": "string",
"video_count": 3
}Responses
200Success
| Field | Type | Notes |
|---|---|---|
| data | object |
Example
{
"data": {}
}201Success
| Field | Type | Notes |
|---|---|---|
| data | object | |
| data.campaign_id | integer | |
| data.created | boolean | |
| data.invitation_id | integer | |
| data.status | string | |
| data.user_id | integer |
Example
{
"data": {
"campaign_id": 1024,
"created": true,
"invitation_id": 1024,
"status": "string",
"user_id": 1024
}
}Errors: 401403404422with an error and usually a message. See errors.
Example values are made up from each field's type and name.